Summary:        Simple yet effective caching library
Name:           python-cachy
Version:        0.3.0
Release:        7%{?dist}
License:        MIT
URL:            https://github.com/sdispater/cachy
Source0:        %{pypi_source cachy}

BuildArch:      noarch

%description
This package provides a simple yet effective caching library.

%package -n python3-cachy
Summary:        %{summary}

BuildRequires:  python3-devel python3-setuptools
Recommends:     python3-msgpack >= 0.5.0 python3-redis >= 2.10.0
Provides:       python3-cachy = %{version}-%{release}

%description -n python3-cachy
This package provides a simple yet effective caching library.

%prep
%autosetup -n cachy-%{version} -p1

%build
%py3_build

%install
%py3_install

%files -n python3-cachy
%license 
%doc README.rst
%{python3_sitelib}/cachy
%{python3_sitelib}/cachy-%{version}-py%{python3_version}.egg-info
%exclude %{python3_sitelib}/tests/

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.0-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.0-6
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Dec 21 2022 Wang Guodong <gordonwwang@tencent.com> - 0.3.0-1
- package init.
